Solid Edge Assembly Type Library
GetTransform Method
Returns the x coordinate of the Occurrence object's point of origin.
Returns the y coordinate of the Occurrence object's point of origin.
Returns the z coordinate of the Occurrence object's point of origin.
Returns, in radians, the rotation about the x-axis.
Returns, in radians, the rotation about the y-axis.
Returns, in radians, the rotation about the z-axis.
Description
Returns the current location and orientation of the referenced object.
Syntax
Visual Basic
Public Sub GetTransform( _
   ByRef OriginX As Double, _
   ByRef OriginY As Double, _
   ByRef OriginZ As Double, _
   ByRef AngleX As Double, _
   ByRef AngleY As Double, _
   ByRef AngleZ As Double _
) 
Parameters
OriginX
Returns the x coordinate of the Occurrence object's point of origin.
OriginY
Returns the y coordinate of the Occurrence object's point of origin.
OriginZ
Returns the z coordinate of the Occurrence object's point of origin.
AngleX
Returns, in radians, the rotation about the x-axis.
AngleY
Returns, in radians, the rotation about the y-axis.
AngleZ
Returns, in radians, the rotation about the z-axis.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objPart As SolidEdgeAssembly.Occurrence
    Dim dblOriginX As Double
    Dim dblOriginY As Double
    Dim dblOriginZ As Double
    Dim dblAngleX As Double
    Dim dblAngleY As Double
    Dim dblAngleZ As Double
    Const TESTFILE = "T:\vbtests\testcases\Sample.asm"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    Call objDoc.Close
    ' opening an existing assembly file
    Set objDoc = objApp.Documents.Open(TESTFILE)
    ' getting a part in the assembly
    Set objPart = objDoc.Occurrences.Item(3)
    ' getting the transforms used while placing the part
    Call objPart.GetTransform(OriginX:=dblOriginX, OriginY:=dblOriginY, OriginZ:=dblOriginZ, anglex:=dblAngleX, _
                              angley:=dblAngleY, anglez:=dblAngleZ)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objPart = Nothing
End Sub
See Also

Occurrence Object  | Occurrence Members